Name:           listen
Version:        0.6.5
Release:        4%{?dist}
Summary:        A music manager and player for GNOME
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.listen-project.org
Source0:        http://www.listen-project.org/downloads/0.6/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


Buildrequires: python-devel >= 2.5
BuildRequires: python-mutagen >= 1.8
BuildRequires: dbus-python
#Buildrequires: pkgconfig
BuildRequires: pygtk2-devel >= 2.8
BuildRequires: gtk2-devel >= 2.8
BuildRequires: gstreamer-python >= 0.10
#BuildRequires: gnome-python2
#BuildRequires: gnome-python2-extras
BuildRequires: gnome-python2-libegg
%if  0%{?fedora} >= 11 
BuildRequires: pywebkitgtk
%else
BuildRequires: gnome-python2-gtkmozembed
%endif
BuildRequires: python-sexy
Buildrequires: docbook2X
Buildrequires: intltool >= 0.35
BuildRequires: gettext
BuildRequires: desktop-file-utils


Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig 
# added explicit Requires
Requires: python >= 2.5
Requires: python-mutagen >= 1.8
Requires: python-tunepimp
Requires: dbus-python
Requires: pygtk2 >= 2.8
Requires: gstreamer-python
#Requires: gnome-python2
#Requires: gnome-python2-extras
Requires: gnome-python2-libegg
Requires: gnome-python2-canvas
%if  0%{?fedora} >= 11 
Requires: pywebkitgtk
%else
Requires: gnome-python2-gtkmozembed
Requires: gecko-libs >= 1.9
%endif
Requires: python-sexy
Requires: python-inotify
Requires: pyxdg
# MusicBrainz support
Requires: python-musicbrainz2 
Requires: /usr/bin/puid
# enable cd burning
Requires: brasero
# enable iPod support
Requires: python-gpod




%description
Listen is an intuitive music player for GNOME written in Python.
Thanks to it, you can easily organize your music collection. 
It supports many features such as podcats, daap sharing, crossfades, 
access to lyrics and wikipedia, sync with media players, Jamendo etc...
Listen can be extended with plugins.


%prep
%setup -q -n %{name}-%{version} 
# mandatory to build inside mock
%{__sed} -i 's#CHECK_DEPENDS ?= 1#CHECK_DEPENDS ?= 0#' Makefile
# correct path issue on 64bit boxes
%ifarch x86_64 ppc64 sparc64 s390x
    %{__sed} -i 's#/lib#/lib64#' Makefile
%endif
%build
make %{?_smp_mflags}



%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
chmod +x %{buildroot}/%{_libdir}/%{name}/listen
chmod +x %{buildroot}/%{_libdir}/%{name}/mmkeys.so
# fixed rights of trackedit.glade thanks to Martin Sourada
chmod 644 %{buildroot}/%{_datadir}/%{name}/trackedit.glade
desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}/%{_datadir}/applications      \
  --add-category X-Fedora                              \
  --remove-mime-type audio/mp3 \
  --remove-mime-type audio/x-mp3 \
  --remove-mime-type audio/mpeg \
  --remove-mime-type audio/x-mpeg \
  --remove-mime-type audio/mpeg3 \
  --remove-mime-type audio/x-mpeg-3 \
  --remove-mime-type application/x-id3 \
  --remove-mime-type audip/mp3 \
  %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc gpl.txt
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.Listen.service
%{_mandir}/man1/listen.1.gz


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jun 11 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6.5-2
- remove broken mime type (audip/mp3)
- don't duplicate dir ownership of /usr/share/listen

* Wed Mar 31 2010 Haïkel Guémar <karlthered@gmail.com> - 0.6.5-1
- update to 0.6.5
- better performance
- code cleaning
- new preferences window
- various bug fixes

* Mon Jan 04 2010 Haïkel Guémar <karlthered@gmail.com> - 0.6.3-2
- add pyxdg as an explicit requires

* Mon Sep 14 2009 Haïkel Guémar <karlthered@gmail.com> - 0.6.3-1
- Updated to 0.6.3

* Fri Aug 14 2009 Karsten Hopp <karsten@redhat.com> - 0.6.2-4
- fix libdir on s390x

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Haïkel Guémar <karlthered@gmail.com> - 0.6.2-2
- added python-inotify as Requires

* Wed Jul 01 2009 Haïkel Guémar <karlthered@gmail.com> - 0.6.2-1
- updated to 0.6.2
- fixed website url
- removed the now useless Xvfb hack
- Use pywebkitgtk instead of gnome-python2-gtkmozembed for fedora >= 11
- refreshed some bits in spec

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5-21
- Rebuild for Python 2.6

* Sun Sep 28 2008 Dennis Gilmore <dennis@ausil.us> - 0.5-20
- fix up for sparc64

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5-19
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5-18
- Autorebuild for GCC 4.3

* Tue Nov 27 2007 Martin Stransky <stransky@redhat.com> 0.5-17
- rebuilt agains xulrunner (gecko-libs 1.9)

* Tue Nov 20 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-16
- add python-tunepimp dependency

* Mon May 07 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-15
- ppc64 build enabled again. 

* Fri May 04 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-14
- ppc64 build temporary disabled. 

* Thu May 03 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-14
- fixed typo in desktop file
- fixed dbus issue (upstream bug #566) courtesy of Martin Sourada

* Sat Feb 10 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-13
- Updated to final release.

* Sat Feb 10 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-12.svn657
- Updated to svn (better python 2.5 support)

* Sat Jan 13 2007 Remi Collet <Fedora@FamilleCollet.com> - 0.5-11.beta1
- Change workaround to use /etc/gre.d/gre.conf

* Fri Jan 11 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-10.beta1
- workaround to prevent listen crashing when using gtkmozembed widget

* Mon Nov 13 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-9.beta1
- Fixed build issue
- Replaced some sed one-liners by incremental patches
- Minor bugs fixing (is Listen actively maintained ?)

* Fri Oct 20 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-8.beta1
- Fixed a path issue that prevent Listen to be launched on x86_64 
 systems. Now owns {_datadir}/%{name}

* Sat Oct 14 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-7.beta1
- Updated R with gnome-python2-gtkhtml2

* Thu Oct 12 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-6.beta1
- Updated R & BR, now use the %{find_lang} macros

* Mon Oct 09 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-5.beta1
- Moved /usr/lib/listen to /usr/lib64 on x86_64

* Mon Oct 09 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-4.beta1
- Fixed build issue on x86_64

* Sun Oct 08 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-3.beta1
- Removed audio/mp3 & cie mime types from .desktop, fixed naming issue,
 some enhancements to the spec (thanks M. Sourada), 

* Thu Oct 05 2006 Haïkel Guémar <karlthered@gmail.com> 0.5b1-2
- Added gettext and gtk2-devel as BR, fixed build issue with mock

* Fri Sep 08 2006 Haïkel Guémar <karlthered@gmail.com> 0.5b1-1
- Updated to 0.5 beta 1

* Sun Aug 20 2006 Haïkel Guémar <karlthered@gmail.com> 0.5.svn20060825-1
- Updated to 0.5.svn20060825 (0.5pre1)

* Thu May 25 2006 Haïkel Guémar <karlthered@gmail.com> 0.4.3-4
- Added licence/copyright files and fixed some issues with rpmlint

* Thu May 25 2006 Haïkel Guémar <karlthered@gmail.com> 0.4.3-3
- Add some patches to remove the dependency against libmad

* Thu May 25 2006 Haïkel Guémar <karlthered@gmail.com> 0.4.3-2
- Some cleaning to the spec

* Thu May 11 2006 Haïkel Guémar <karlthered@gmail.com> 0.4.3-1
- First packaging




